<< polyreduce | FOSSEE_Signal_Processing_Toolbox | polystab >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > polyscale

# polyscale

polyscale Scaling roots of a polynomial (scales the roots of a polynomial in the z plane)

### Syntax

    b = polyscale(a,alpha)

### Parameters

a :

  vector containing the polynomial coefficients

alpha :

  is the scaling vector

### Examples

    // to scale the seventh roots of unity ,x^7=1,
    //we represent
    p=[1 0 0 0 0 0 0 -1]   // and changing the scaling factor,
    b=polyscale(p,0.85)

### Authors

- Debdeep Dey

Report an issue
<< polyreduce | FOSSEE_Signal_Processing_Toolbox | polystab >>